> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clipvision.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# View User Channels API Endpoint

> This API endpoint allows a user to view all the channels associated with them.



## OpenAPI

````yaml get /api/user/channels/
openapi: 3.0.1
info:
  title: ClipVision API
  description: ClipVision AI API
  termsOfService: https://www.clipvision.ai/terms/
  contact:
    email: help@clipvision.ai
  license:
    name: ClipVision License
  version: v1
servers:
  - url: https://backend.clipvision.ai/
security:
  - Basic: []
  - api_key: []
paths:
  /api/user/channels/:
    get:
      tags:
        - api
      summary: View User Channels API Endpoint
      description: >-
        This API endpoint allows a user to view all the channels associated with
        them.
      operationId: view_user_channels
      responses:
        '200':
          description: Successfully fetched the channels for the user
          content:
            application/json:
              schema:
                title: Channel OpenAPI Schema
                type: array
                items:
                  title: Channel
                  type: object
                  properties:
                    channel_id:
                      type: integer
                    disabled:
                      type: boolean
                    user_id:
                      type: integer
                    channel_country:
                      type: string
                    channel_website:
                      type: string
                    add_date:
                      type: string
                      format: date
                    channel_content_category:
                      type: string
                    estimated_monthly_earnings:
                      type: string
                    estimated_yearly_earnings:
                      type: string
                    channel_name:
                      type: string
                    channel_url:
                      type: string
                    thumbnail:
                      type: string
                  description: Channel OpenAPI Schema
              example:
                - channel_id: 1
                  disabled: false
                  user_id: 1
                  channel_country: US
                  channel_website: https://youtube.com
                  add_date: '2024-03-17T00:00:00.000Z'
                  channel_content_category: Gaming
                  estimated_monthly_earnings: '1000'
                  estimated_yearly_earnings: '12000'
                  channel_name: PewDiePie
                  channel_url: https://www.youtube.com/channel/UCi8e0iOVk1fEOogdfu4YgfA
                  thumbnail: null
        '400':
          description: Failed to fetch the channels or validation errors
          content: {}
        '500':
          description: Failed to fetch the channels
          content:
            application/json:
              schema:
                title: Internal Server Error
                type: object
                properties:
                  success:
                    type: boolean
                    default: false
                  error:
                    type: string
                    default: Internal Server Error
                description: Internal Server Error OpenAPI Schema
              example:
                success: false
                error: Internal Server Error
components:
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    api_key:
      type: apiKey
      name: User-JWT
      in: header

````